package bjoerks.app;

import android.app.Activity;
import android.os.Bundle;


public class AppSession2Form extends Activity {
    
    private SessionControler session;
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    	if (savedInstanceState != null && savedInstanceState.containsKey("MyModelSerialized"))
    	{
    		session = (SessionControler)savedInstanceState.getSerializable("MyModelSerialized");
    		session.ReStart(this);
    	}
    	else
    	{
    		session = new SessionControler();
    		session.Start(this);
    	}
    }

    @Override
    public void onSaveInstanceState(Bundle outState) {
        super.onSaveInstanceState(outState);
        outState.putSerializable("MyModelSerialized", session);
    }
}